/*******************************************************************************
 * Copyright (c) 2014 Markus Kreusch
 * This file is licensed under the terms of the MIT license.
 * See the LICENSE.txt file for more info.
 * 
 * Contributors:
 *     Markus Kreusch - Refactored WebDavMounter to use strategy pattern
 ******************************************************************************/
package org.cryptomator.ui.util.mount;


/**
 * A mounted webdav share.
 * 
 * @author Markus Kreusch
 */
public interface WebDavMount {

	/**
	 * Unmounts this {@code WebDavMount}.
	 * 
	 * @throws CommandFailedException if the unmount operation fails
	 */
	void unmount() throws CommandFailedException;
	
}
